import time
#from collections.abc import MutableMapping

#import sys

#if sys.version_info.major == 3 and sys.version_info.minor >= 10:
#    import collections
#    setattr(collections, "MutableMapping", collections.abc.MutableMapping)

import collections.abc
import collections
collections.MutableMapping = collections.abc.MutableMapping

#print("Start simulator (SITL)")
#import dronekit_sitl
#sitl = dronekit_sitl.start_default()
#connection_string = sitl.connection_string()

#connection_string = "tcp:127.0.0.1:5760"
connection_string = "udp:127.0.0.1:14551"

print("connection_string", connection_string)

# Import DroneKit-Python
from dronekit import connect, VehicleMode

# Connect to the Vehicle.
print("Connecting to vehicle on: %s" % (connection_string,))
vehicle = connect(connection_string, wait_ready=True)

# Get some vehicle attributes (state)
print("Get some vehicle attribute values:")
print(" GPS: %s" % vehicle.gps_0)
print(" Battery: %s" % vehicle.battery)
print(" Last Heartbeat: %s" % vehicle.last_heartbeat)
print(" Is Armable?: %s" % vehicle.is_armable)
print(" System status: %s" % vehicle.system_status.state)
print(" Mode: %s" % vehicle.mode.name)    # settable

# Close vehicle object before exiting script

while True:
    time.sleep(0.2)
    print(" Last Heartbeat: %s" % vehicle.last_heartbeat)
    
vehicle.close()

# Shut down simulator
#sitl.stop()
print("Completed")
